<style type="text/css"> /*codigo que permite la funcion autocompleta en modales*/
	.ui-autocomplete {
		z-index: 5000;
	}
</style>


	<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Transferencia
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Caja</li>
				<li class="breadcrumb-item active">Transferencia</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0%;" >
		    <div class="card">
		        <div class="card-header">
					<button id="btn_agregar" onClick="transferencia_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	
	
	
	
	
	
	
	<!-- Busqueda de registros -->
	<div id="div_transferencia_filtro" > </div>
	
	<!-- Formulario de registros -->
	
	<div class="modal fade" id="div_transferencia_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_transferencia_form" style="padding:0%;" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
	<!-- Form  impresion -->
	<div id="div_transferencia_impresion"> </div>
	
	<!-- Lista de registros  -->
	<div id="div_transferencia_tabla"></div>

<script type="text/javascript">
	function transferencia_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../transferencia/transferencia_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
			}),
			beforeSend: function() {
		var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
		$('#div_transferencia_filtro').html(div);
			},
			success: function(html){
				$('#div_transferencia_filtro').html(html);
			},
			complete: function(){
			
		}
	});
	}
	function transferencia_tabla()
	{
		$.ajax({
			type: "POST",
			url: "../transferencia/transferencia_tabla.php",
			async:true,
			dataType: "html",                      
			data: $("#for_fil_tra").serialize(),
			beforeSend: function() {
				$('#div_transferencia_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_transferencia_tabla').html(html);
			},
			complete: function(){			
				$('#div_transferencia_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	
	function transferencia_form(act,idf){
		$('#div_transferencia_form_dialog').modal(); 
		$.ajax({
			type: "POST",
			url: "../transferencia/transferencia_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				tra_id:	idf,
				vista: 'transferencia_tabla'
			}),
			beforeSend: function() {	
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";
				$('.div_transferencia_form').html(div); 
			},
			success: function(html){
				$('.div_transferencia_form').html(html);				
			}
		});
	}
	function transferencia_eliminar(id)
	{      
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../transferencia/transferencia_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					tra_id:		id
				}),
				beforeSend: function() {
					
				},
				success: function(html){
					toastr["success"](html);	
				},
				complete: function(){
					transferencia_tabla();
				}
			});
		}
	}
	function factura_form(act,idf){
		$('#div_transferencia_form').dialog("close");
		$('#div_transferencia_form').html('transferencia');
		$.ajax({
			type: "POST",
			url: "../transferencia/factura_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				fac_id:	idf
			}),
			beforeSend: function() {
				$('#msj_transferencia_factura').hide();
				$('#div_transferencia_factura_form').dialog("open");
				$('#div_transferencia_factura_form').html('Cargando....');
			},
			success: function(html){
				$('#div_transferencia_factura_form').html(html);				
			}
		});
	}
	function transferencia_reporte()
	{	
		$("#for_fil_tra").submit();
	}
	function transferencia_reporte_xls(){
		$("#hdd_tabla").val( $("<div>").append( $("#tabla_transferencia").eq(0).clone()).html()); 
		$("#for_rep_xls").submit();
	}
	function transferencia_impresion(idf){
		$.ajax({
			type: "POST",
			url: "../transferencia/transferencia_preimpresion.php",
			async:true,
			dataType: "html",                      
			data: ({
				tra_id:	idf
			}),
			beforeSend: function() {
				$('#div_transferencia_impresion').dialog("open");
				$('#div_transferencia_impresion').html('Cargando....');
			},
			success: function(html){
				$('#div_transferencia_impresion').html(html);				
			}
		});
	}
	
	$(function() {
		
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../transferencia/transferencia_vista.php");
		});
		transferencia_filtro();	
		setTitle("TRANSFERENCIA - "+nombreEmpresa);
	});
	
</script> 